# Uses of Class
ch.qos.logback.core.joran.spi.DefaultNestedComponentRegistry

Packages that use DefaultNestedComponentRegistry
Package
Description
ch.qos.logback.access.joran
Contains the Joran configration classes
ch.qos.logback.classic.joran
Contains Joran configuration classes.
ch.qos.logback.classic.sift
ch.qos.logback.classic.util
Contains utility classes.
ch.qos.logback.core.joran
Contains Joran configuration classes.
ch.qos.logback.core.joran.spi
ch.qos.logback.core.joran.util
ch.qos.logback.core.net.ssl
Contains classes that create and configure a JSSE SSLContext needed for secure transport of logging events by SSLSocketAppender.

## Uses of DefaultNestedComponentRegistry in ch.qos.logback.access.joran

Methods in ch.qos.logback.access.joran with parameters of type DefaultNestedComponentRegistry
Modifier and Type
Method
Description
`protected void`
JoranConfigurator.`addDefaultNestedComponentRegistryRules(DefaultNestedComponentRegistry registry)`

## Uses of DefaultNestedComponentRegistry in ch.qos.logback.classic.joran

Methods in ch.qos.logback.classic.joran with parameters of type DefaultNestedComponentRegistry
Modifier and Type
Method
Description
`protected void`
JoranConfigurator.`addDefaultNestedComponentRegistryRules(DefaultNestedComponentRegistry registry)`

## Uses of DefaultNestedComponentRegistry in ch.qos.logback.classic.sift

Methods in ch.qos.logback.classic.sift with parameters of type DefaultNestedComponentRegistry
Modifier and Type
Method
Description
`protected void`
SiftingJoranConfigurator.`addDefaultNestedComponentRegistryRules(DefaultNestedComponentRegistry registry)`

## Uses of DefaultNestedComponentRegistry in ch.qos.logback.classic.util

Methods in ch.qos.logback.classic.util with parameters of type DefaultNestedComponentRegistry
Modifier and Type
Method
Description
`static void`
DefaultNestedComponentRules.`addDefaultNestedComponentRegistryRules(DefaultNestedComponentRegistry registry)`

## Uses of DefaultNestedComponentRegistry in ch.qos.logback.core.joran

Methods in ch.qos.logback.core.joran with parameters of type DefaultNestedComponentRegistry
Modifier and Type
Method
Description
`protected void`
GenericConfigurator.`addDefaultNestedComponentRegistryRules(DefaultNestedComponentRegistry registry)`

## Uses of DefaultNestedComponentRegistry in ch.qos.logback.core.joran.spi

Methods in ch.qos.logback.core.joran.spi that return DefaultNestedComponentRegistry
Modifier and Type
Method
Description
`DefaultNestedComponentRegistry`
InterpretationContext.`getDefaultNestedComponentRegistry()`

## Uses of DefaultNestedComponentRegistry in ch.qos.logback.core.joran.util

Methods in ch.qos.logback.core.joran.util with parameters of type DefaultNestedComponentRegistry
Modifier and Type
Method
Description
`Class<?>`
PropertySetter.`getClassNameViaImplicitRules(String name, AggregationType aggregationType, DefaultNestedComponentRegistry registry)`

## Uses of DefaultNestedComponentRegistry in ch.qos.logback.core.net.ssl

Methods in ch.qos.logback.core.net.ssl with parameters of type DefaultNestedComponentRegistry
Modifier and Type
Method
Description
`static void`
SSLNestedComponentRegistryRules.`addDefaultNestedComponentRegistryRules(DefaultNestedComponentRegistry registry)`